// FFTEinstellungeDlg.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "FFTEinstellungeDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CFFTEinstellungeDlg 


CFFTEinstellungeDlg::CFFTEinstellungeDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CFFTEinstellungeDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CFFTEinstellungeDlg)
	m_FFTPointsInt = 2;
	//}}AFX_DATA_INIT
}


void CFFTEinstellungeDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFFTEinstellungeDlg)
	DDX_CBIndex(pDX, IDC_FFT_POINTS, m_FFTPointsInt);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CFFTEinstellungeDlg, CDialog)
	//{{AFX_MSG_MAP(CFFTEinstellungeDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CFFTEinstellungeDlg 

BOOL CFFTEinstellungeDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	CSoundsDoc* pDoc=GetDocument();
	switch(*pDoc->GetFFTPoints()) 
		{
		case 256:
			m_FFTPointsInt=0;
			break;
		case 512:
			m_FFTPointsInt=1;
			break;
		case 1024:
			m_FFTPointsInt=2;
			break;
		case 2048:
			m_FFTPointsInt=3;
			break;
		case 4096:
			m_FFTPointsInt=4;
			break;
		case 8192:
			m_FFTPointsInt=5;
			break;
		case 16384:
			m_FFTPointsInt=6;
			break;
		case 32768:
			m_FFTPointsInt=7;
			break;
		case 65536:
			m_FFTPointsInt=8;
			break;
		case 131072:
			m_FFTPointsInt=9;
			break;
		case 262144:
			m_FFTPointsInt=10;
			break;
		case 524288:
			m_FFTPointsInt=11;
			break;
		default:
			m_FFTPointsInt=2;
		}

	UpdateData(FALSE);
		
	return TRUE;  // return TRUE unless you set the focus to a control
}
