#if !defined(AFX_SOUNDSOVERVIEW_H__590E41DB_7A73_4F38_BFF1_E82B5301AF0A__INCLUDED_)
#define AFX_SOUNDSOVERVIEW_H__590E41DB_7A73_4F38_BFF1_E82B5301AF0A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SoundsOverView.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Ansicht CSoundsOverView 

class CSoundsOverView : public CScrollView
{
protected:
	CSoundsOverView();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	DECLARE_DYNCREATE(CSoundsOverView)

// Attribute
public:
	INT									m_ZoomH;
	INT									m_ZoomV;
	BOOL								m_Recalc;
	CSize								m_sizeTotal;
	POINT								m_AusschnittStart;
	POINT								m_AusschnittEnde;
	LONG								m_CarPos;

protected:
	CArray<POINT,POINT> m_WAVKomplettPtArray;
	POINT								m_RegionStart;
	POINT								m_RegionMove;
	POINT								m_RegionEnde;
//	POINT								m_FirstMousePoint;
//	POINT								m_LastMousePoint;
//	POINT								m_MouseMovePoint;
	CPen								Rahmenstift;
	CSplitterFrame*			m_pParentFrame;
	INT									m_ScrollbreiteInPixel;
	INT									m_DrawPosition;
	INT									m_Counter;

// Operationen
public:
  inline CSoundsDoc* GetDocument() { return (CSoundsDoc*)m_pDocument; }
	void ClearAusschnitt();

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CSoundsOverView)
	protected:
	virtual void OnDraw(CDC* pDC);      // berschrieben zum Zeichnen dieser Ansicht
	virtual void OnInitialUpdate();     // Zum ersten Mal nach der Konstruktion
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementierung
public:
		void ScrollSetzen();
protected:
	virtual ~CSoundsOverView();
	void ZeichneZeiten(CDC* pDC);
	UINT TimerID;
	void RaenderKorrigieren(CPoint* point,CPoint ScrollPunkt,CSize Scrollsize, CRect ClientRect ) ;
	void DrawFromSoundBuffer(CDC* pDC);
	void DrawFromArray(CDC* pDC);
	void ZeichneUmrandung(CDC* pDC);
	void CreateCaret(bool Flag);

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CSoundsOverView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_SOUNDSOVERVIEW_H__590E41DB_7A73_4F38_BFF1_E82B5301AF0A__INCLUDED_
