// WaveletFrame.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "WaveletFrame.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CWaveletFrame

IMPLEMENT_DYNCREATE(CWaveletFrame, CMDIChildWnd)

CWaveletFrame::CWaveletFrame()
{
}

CWaveletFrame::~CWaveletFrame()
{
}


BEGIN_MESSAGE_MAP(CWaveletFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CWaveletFrame)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CWaveletFrame 

BOOL CWaveletFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style |= WS_THICKFRAME;
	cs.style |= WS_BORDER;
  cs.style |= (WS_MINIMIZEBOX|WS_MAXIMIZEBOX);
  if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;
	return TRUE;
}

int CWaveletFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndDlgBar.Create(this, IDD_WAVELET_DLG,CBRS_RIGHT|CBRS_TOOLTIPS|CBRS_FLYBY, IDD_WAVELET_DLG))
	{
		TRACE0("Failed to create DlgBar\n");
		return -1;      // fail to create
	}
	DoPlacement(TRUE);	//GetIt
	return 0;
}

void CWaveletFrame::OnDestroy() 
{
	CMDIChildWnd::OnDestroy();
	DoPlacement(FALSE);	//PutIt
}

void CWaveletFrame::DoPlacement(BOOL bGetit)
{
	CSoundsApp *app=(CSoundsApp *)AfxGetApp();
	WINDOWPLACEMENT wp;
	if (bGetit) 
		wp=app->GetWP(WAVELET);
	else
		this->GetWindowPlacement(&wp);

	app->SwitchWindowplacementAbsolutePercent(!bGetit,&wp);
	
	if (bGetit) 
		this->SetWindowPlacement(&wp);
	else
		app->PutWP(wp,WAVELET);
}

