/////////////////////////////////////////////////////////////////////////////
// $Header: /cvsroot/mmconvert/mmconvert/MMConvert/Src/Common/Converter.h,v 1.2 2005/08/06 10:25:11 ping235 Exp $
//
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 ping235.  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//  This file is subject to the terms of the GNU General Public License as
//  published by the Free Software Foundation.  A copy of this license is
//  included with this software distribution in the file COPYING.  If you
//  do not have a copy, you may obtain a copy by writing to the Free
//  Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
// Change Log
//
// Date          Developer             Changes
// $Date: 2005/08/06 10:25:11 $        $Author: ping235 $              $Name:  $
//
/////////////////////////////////////////////////////////////////////////////
// CVS Log
// $Log: Converter.h,v $
// Revision 1.2  2005/08/06 10:25:11  ping235
// add CConvertGUI and convert progress
//
// Revision 1.1.1.1  2005/08/02 05:17:17  ping235
// initial,GUI 1.0.0.0,CMD 1.3.0.1
//
//////////////////////////////////////////////////////////////////////////////

#pragma once

class CConverter
{
private:
	UINT m_uTimeStart;//תʼʱ䣨δ
	UINT m_uTimeStop;//תʱ䣨δ
	DWORD m_dwROT;//ROT TOKEN
	LONGLONG m_llFrom;//תĿʼλãλ뵱ʱĲʱʽͬ
	LONGLONG m_llTo;//תĽλãλ뵱ʱĲʱʽͬ
	LONGLONG m_llDuration;//ýܳȣλ뵱ʱĲʱʽͬ
	HANDLE m_hLogFile;//־ļ
	HWND m_MessagehWnd;

public:
	// ʼʱ
	void BeginTime(void);
	// ֹͣʱ
	void EndTime(void);
	//־ļ
	void SetLogFile(LPCTSTR lpszFileName);

//protected:
public:
	bool m_bDebug;
	IGraphBuilder* m_spGraphBuild;
	IMediaSeeking* m_spMediaSeeking;
	//Graph
	HRESULT RunGraph();
	//Graph·Լת·
	virtual BOOL BuildGraph()=0;
	//ڽ·ǰ
	virtual void OnPreConvert(void);
	//ڽҪʼGraphǰ
	virtual void OnConvertBegin(void);
	//Graphֹͣк󼤷
	virtual void OnConvertEnd(void);

	void SetMessagehWnd(HWND MessagehWnd);

public:
	CConverter();
	~CConverter(void);
	// ȥοʱӣӿתٶ
	void DelSyncSource(void);
	// תĿʼͽλ
	void SetPositions(LONGLONG llStart, LONGLONG llStop);
	// get duration
	LONGLONG GetDuration();
	// ȡתõʱʱ䣬λmsδɻתʧʱ0
	UINT GetTotalConvertTime();
	// ȡתõʱ
	UINT GetNowConvertTime();
	// register ROT,you can show graphics
	void AddToROT(void);
	// remove from ROT
	void RemoveFromROT(void);
	// õģʽģʽ£ĵϢ
	void SetDebugMode(bool bDebug);
	bool OnUpdateStatus(LONGLONG llPos,LONGLONG llStart,LONGLONG llStop);
	BOOL Convert();
};
