#if !defined(AFX_NOTENBILDVIEW_H__A9ADB4E8_7B3D_4D8C_8DAC_8E4BBE845BDD__INCLUDED_)
#define AFX_NOTENBILDVIEW_H__A9ADB4E8_7B3D_4D8C_8DAC_8E4BBE845BDD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NotenbildView.h : Header-Datei
//

/////////////////////////////////////////////////////////////////////////////
// Ansicht CNotenbildView 

class CNotenbildView : public CScrollView
{
protected:
	CNotenbildView();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	DECLARE_DYNCREATE(CNotenbildView)

// Attribute
protected:
	CNotenbildFrame*									m_pParentNotenbildFrame;
	BOOL															m_bIsLinear;
	INT																m_WhatIs;
	CArray<DBLPOINT,DBLPOINT>					m_ObertonArray;
	CArray<DBLPOINT,DBLPOINT>					m_AkkordArray;
	INT																m_Obertonanzahl;
	INT																m_HoeheY;
	double														m_HoeheYlog;
	BOOL															m_bReset;
	INT																m_NotenCounter;
	INT																m_LastTon;
	DOUBLE														m_LastTonAmp;

	time_t														m_lasttime;
	time_t														m_newtime;

	CArray<INT,INT>										m_ListeLetzteToene;
	DBLPOINT													m_LastTonPt;

// Operationen
public:
		void		IniFileWrite();
		void		IniFileRead();
		void		DeleteNoten();

// berschreibungen
	// Vom Klassen-Assistenten generierte virtuelle Funktionsberschreibungen
	//{{AFX_VIRTUAL(CNotenbildView)
	protected:
	virtual void OnDraw(CDC* pDC);      // berschrieben zum Zeichnen dieser Ansicht
	virtual void OnInitialUpdate();     // Zum ersten Mal nach der Konstruktion
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementierung
protected:
	virtual ~CNotenbildView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	void HolePeaks();
  inline CSoundsDoc* GetDocument() { return (CSoundsDoc*)m_pDocument; }
	void ZeichneReineObertonreihe(CDC* pDC);
	void ZeichnePeaksInObertonreihe(CDC* pDC);
	void ZeichneNotensystem(INT Typ, CDC* pDC);
	void ZeichnePeaksInNotensystem(CDC* pDC);
	void ZeichneAktuelleNoteInNotensystem(CDC* pDC);
	void ZeichneObertonabstrakt(CDC* pDC); 
	void ZeichneObertoninnoten(CDC* pDC);
	void ZeichneNoten(CDC* pDC);
	void BerechnePeaks();
	BOOL CheckIfTonOrNoise();
	void ZeichnePartitur(CDC* pDC);
	void ScrollZurueckSetzen();


	// Generierte Nachrichtenzuordnungsfunktionen
	//{{AFX_MSG(CNotenbildView)
	afx_msg void OnNoten();
	afx_msg void OnObertonabstrakt();
	afx_msg void OnObertoninnoten();
	afx_msg void OnLog();
	afx_msg void OnLin();
	afx_msg void OnChangeOberzahlFeld();
	afx_msg void OnListenSingle();
	afx_msg void OnSave();
	afx_msg void OnEditCopy();
	afx_msg BOOL OnHelpInfo(HELPINFO* pHelpInfo);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ fgt unmittelbar vor der vorhergehenden Zeile zustzliche Deklarationen ein.

#endif // AFX_NOTENBILDVIEW_H__A9ADB4E8_7B3D_4D8C_8DAC_8E4BBE845BDD__INCLUDED_
