// ProfileDLG.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "ProfileDLG.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Dialogfeld CProfileDLG 


CProfileDLG::CProfileDLG(CWnd* pParent /*=NULL*/)
	: CDialog(CProfileDLG::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProfileDLG)
	m_Profile_Radio_int = -1;
	//}}AFX_DATA_INIT
}


void CProfileDLG::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProfileDLG)
	DDX_Control(pDX, IDC_PROFIL_STANDARD, m_Bmp_Standard);
	DDX_Control(pDX, IDC_PROFIL_KOMPLETT, m_Bmp_Komplett);
	DDX_Control(pDX, IDC_PROFIL_MUSIKER, m_Bmp_Musiker);
	DDX_Control(pDX, IDC_PROFIL_ANALYTIKER, m_Bmp_Analytiker);
	DDX_Control(pDX, IDC_PROFIL_GRUNDSCHULE, m_Bmp_Grundschule);
	DDX_Control(pDX, IDC_PROFIL_OBERSCHULE, m_Bmp_Oberschule);
	DDX_Radio(pDX, IDC_PROFIL_STANDARD, m_Profile_Radio_int);
	DDX_Control( pDX, IDC_LOGO, m_Logo ) ;
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProfileDLG, CDialog)
	//{{AFX_MSG_MAP(CProfileDLG)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CProfileDLG 

BOOL CProfileDLG::OnInitDialog() 
{
	CDialog::OnInitDialog();
	m_Bmp_Standard.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_STANDARD),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	m_Bmp_Komplett.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_KOMPLETT),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	m_Bmp_Musiker.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_MUSIKER),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	m_Bmp_Analytiker.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_ANALYTIKER),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	m_Bmp_Grundschule.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_GRUND),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	m_Bmp_Oberschule.SetBitmap((HBITMAP)LoadImage(AfxGetInstanceHandle(),MAKEINTRESOURCE(IDB_BITMAP_OBERSCHULE),IMAGE_BITMAP,0,0,LR_DEFAULTCOLOR));
	UpdateData(FALSE);
	return TRUE;  
}

void CProfileDLG::OnOK() 
{
	UpdateData(TRUE);
	switch(m_Profile_Radio_int) {
	case 0:
		m_Profil=STANDARD;
		break;
	case 1:
		m_Profil=MUSIKER;
		break;
	case 2:
		m_Profil=ANALYTIKER;
		break;
	case 3:
		m_Profil=KOMPLETT;
		break;
	case 4:
		m_Profil=OBERSCHULE;
		break;
	case 5:
		m_Profil=GRUNDSCHULE;
		break;
	}
	CDialog::OnOK();
}

