// ZeitreiheFrame.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Sounds.h"
#include "ZeitreiheFrame.h"
#include "MainFrm.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CZeitreiheFrame

IMPLEMENT_DYNCREATE(CZeitreiheFrame, CMDIChildWnd)

CZeitreiheFrame::CZeitreiheFrame()
{
}

CZeitreiheFrame::~CZeitreiheFrame()
{
}


BEGIN_MESSAGE_MAP(CZeitreiheFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CZeitreiheFrame)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CZeitreiheFrame Diagnose

#ifdef _DEBUG
void CZeitreiheFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CZeitreiheFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG


/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CZeitreiheFrame 

BOOL CZeitreiheFrame::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.style |= WS_THICKFRAME;
	cs.style |= WS_BORDER;
  cs.style |= (WS_MINIMIZEBOX|WS_MAXIMIZEBOX);
  if( !CMDIChildWnd::PreCreateWindow(cs) )
		return FALSE;
	return TRUE;
}

int CZeitreiheFrame::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CMDIChildWnd::OnCreate(lpCreateStruct) == -1)
		return -1;
	
	if (!m_wndDlgBar.Create(this, IDD_ZEITREIHE,CBRS_RIGHT|CBRS_TOOLTIPS|CBRS_FLYBY, IDD_ZEITREIHE))
	{
		TRACE0("Failed to create DlgBar\n");
		return -1;      // fail to create
	}
	DoPlacement(TRUE);	//GetIt
	return 0;
}

void CZeitreiheFrame::OnDestroy() 
{
	CMDIChildWnd::OnDestroy();
	DoPlacement(FALSE);	//PutIt
}

void CZeitreiheFrame::DoPlacement(BOOL bGetit)
{
	CSoundsApp *app=(CSoundsApp *)AfxGetApp();
	WINDOWPLACEMENT wp;
	if (bGetit) 
		wp=app->GetWP(ZEITREIHE);
	else
		this->GetWindowPlacement(&wp);

	app->SwitchWindowplacementAbsolutePercent(!bGetit,&wp);
	
	if (bGetit) 
		this->SetWindowPlacement(&wp);
	else
		app->PutWP(wp,ZEITREIHE);
}
