/////////////////////////////////////////////////////////////////////////////
// $Header: /cvsroot/mmconvert/mmconvert/MMConvert/Src/Common/helper.h,v 1.7 2005/09/07 10:56:27 ping235 Exp $
//
/////////////////////////////////////////////////////////////////////////////
// Copyright (c) 2005 ping235.  All rights reserved.
/////////////////////////////////////////////////////////////////////////////
//
//  This file is subject to the terms of the GNU General Public License as
//  published by the Free Software Foundation.  A copy of this license is
//  included with this software distribution in the file COPYING.  If you
//  do not have a copy, you may obtain a copy by writing to the Free
//  Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
//
//  This software is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details
/////////////////////////////////////////////////////////////////////////////
// Change Log
//
// Date          Developer             Changes
// $Date: 2005/09/07 10:56:27 $        $Author: ping235 $              $Name:  $
//
/////////////////////////////////////////////////////////////////////////////
// CVS Log
// $Log: helper.h,v $
// Revision 1.7  2005/09/07 10:56:27  ping235
// fixed controls blink when resizing main dialog
//
// Revision 1.6  2005/09/07 03:58:47  ping235
// impoved UI:avoid XPTaskPane's blink when resizing
//
// Revision 1.5  2005/09/05 01:24:57  ping235
// improvement in interactant of UI
// fixed error:lost call OnConvertEnd when exception
// changed status info to the last pane of the status bar
// added overall progress(current count/entired count) functional
// translate unknown exception message to localize language
//
// Revision 1.4  2005/08/09 09:52:58  ping235
// modify to obtain about version info dynamiclly from resource
//
// Revision 1.3  2005/08/06 10:25:11  ping235
// add CConvertGUI and convert progress
//
// Revision 1.2  2005/08/05 08:33:55  ping235
// added tasklistctrl to bind CListCtrl and CTaskList
// add common task property management
//
// Revision 1.1.1.1  2005/08/02 05:17:19  ping235
// initial,GUI 1.0.0.0,CMD 1.3.0.1
//
//////////////////////////////////////////////////////////////////////////////

#pragma once

CString IntToStr(int n);
CString UIntToStr(UINT u);
CString Int64ToStr(LONGLONG i64);
CString FloatToStr(double f);
CString IntToHex(DWORD dw);
CString WordToHex(WORD w);
CString ByteToHex(BYTE by);

void ShutdownComputer();
DWORD GetIntervalTime(DWORD dw1);
CString ParseString(CString strInput,char chDiv,UINT uIndex);
CString ParseStringRight(CString strInput,TCHAR chDiv,UINT uIndex);
CString GetAppName();
CString GetAppPath();
CString GetAppPathName();
CString PathResolve(CString strPath);
CString FormatTimeSpan(DWORD dwTickCount);
int FindSubStr(CString str,CString strSubStr);
CString IDToStr(int nID);
CString IDToStrV(int nID,...);

void DrawGradient(CDC* pDC,COLORREF clrBegin,COLORREF clrEnd,CRect rc,bool bVert = false);
void DrawGradient(CDC* pDC,COLORREF clr1,COLORREF clr2,COLORREF clr3,const CPoint& pt1,const CPoint& pt2,const CPoint& pt3);

BOOL RecurseCreateDir(LPCTSTR lpszName);
HICON LoadIconEx(int nID,CSize sz);
//pump messages
BOOL ProcessMessage();

//map coordinate from one window into another one
void ClientToClient(CWnd* pwndTo,CWnd* pwndFrom,CRect& rc);
void ClientToClient(HWND hwndTo,HWND hwndFrom,CRect& rc);
